<!DOCTYPE html>

<html>

   <head>
      <title>Fullstack OPEN Part 3 - phonebook</title>
      <link href="https://unpkg.com/tailwindcss@^1.0/dist/tailwind.min.css" rel="stylesheet">
      

    </head>

   <body>
    <div class="flex flex-col h-screen justify-between">     
      <div class="container mx-auto">
        <div class="">
          <div class="bg-orange-300 mt-4 pl-4">3.1 List of phonebook entries</div><a class="text-indigo-500 mt-4 pl-4" href="/api/persons">/api/persons</a>
        </div>
        <div class="">
          <div class="bg-orange-300 mt-4 pl-4">3.2 Phonebook Info</div>
          <a class="text-indigo-500 mt-4 pl-4" href="/info">/info</a>
        </div>  
        <div class="">
          <div class="bg-orange-300 mt-4 pl-4">3.3 Find Entry by Id (GET)</div>
          <div class="mt-4 pl-4">/api/persons/<input id="find-person-id" placeholder="&lt;id&gt;"class="w-8 mr-8"></input>
          <button id="find-person-id-button" class="bg-transparent hover:bg-orange-300 border-orange-300 text-orange-500 font-semibold hover:text-white py-2 px-4 border border-orange-300 hover:border-transparent rounded">Find</button>
          </div> 
        </div>  
        <div class="">
          <div class="bg-orange-300 mt-4 pl-4">3.4 Delete Entry (DELETE)</div>
          <div class="mt-4 pl-4">/api/persons/<input id="delete-person-id" placeholder="&lt;id&gt;"class="w-8 mr-8"></input>
          <button id="delete-person-id-button" class="bg-transparent hover:bg-orange-300 border-orange-300 text-orange-500 font-semibold hover:text-white py-2 px-4 border border-orange-300 hover:border-transparent rounded">Delete</button>
          </div> 
        </div>
        <div class="">
          <div class="bg-orange-300 mt-4 pl-4">3.5 Add Entry (POST)</div>
          <form action="/api/persons" method="POST" class="mt-4 pl-4">
            <input name="name" class="pl-2" placeholder="name" class="mr-8" required></input>
            <input name="number" type="tel" 
              class="pl-2" 
              placeholder="number" 
              class="mr-8" 
              required pattern="[0-9\(\)\-\s]{4,}"
              title="Only numbers (, ), - and spaces are allowed"  
            ></input>
            <button class="bg-transparent hover:bg-orange-300 border-orange-300 text-orange-500 font-semibold hover:text-white py-2 px-4 border border-orange-300 hover:border-transparent rounded">Add</button>
          </form>          
        </div> 
      </div>              
      <footer class="bg-orange-300 text-center pt-5 h-16">
        <p>
          <a href="https://fullstackopen.com/en/part3/node_js_and_express#exercises-3-1-3-6" target="_blank">Fullstack Open Node.js and Express</a>
        </p>
      </footer>
      </div>  
      
    </div>
   </body>
   <script src="index.js"></script>
</html>
